it-swarm.com.de

wird nicht ausgecheckt ... Bundle Install behebt KEINE Hilfe!

https://github.com/intridea/omniauth.git (at master) is not checked out. Please run `bundle install` (Bundler::GitError)

Also was mache ich? Bundle-Installation funktioniert bei der Entwicklung, aber wenn ich Push auf meinem Produktionsserver bereitstelle. Ich erhalte diese Fehlermeldung, auch nachdem auf meinem Produktionsserver die Bundle-Installation ausgeführt wurde.

62
fivetwentysix

Du rennst wahrscheinlich Passagier. Dies ist das Problem bei einigen Lösungen - http://code.google.com/p/phusion-passenger/issues/detail?id=505

Versuchen Sie, bundle install --deployment auszuführen.

114
Dogbert

Dieser Fehler kann mit dem Federedelstein zusammenhängen. Die Regenerierung von Frühlingskuppeln funktionierte für mich.

bundle exec spring binstub --all

https://github.com/Rails/spring/issues/387

20
jvenezia

für die Jungs, die Probleme mit "Bundle & Git Repo" hatten. 

1. $ bundle pack
2. $ bundle install --path vendor/cache

weitere Informationen finden Sie unter https://stackoverflow.com/a/5268534/445908

Für mich war es nur eine Sache, dies zu gemfile hinzuzufügen:

source 'http://gems.github.com'
6
Andres Calle

Wenn Ihr Computer nie neu startet, ist Spring möglicherweise das Problem. Der Frühling lief 350 Stunden und verursachte das Zwischenspeichern der veralteten TEST-Umgebung. Ich hatte dieses Problem in meiner Gurkentestumgebung in Rubymine. Seltsam war dies, dass von (mac) aus der Befehl Prompt kein Problem gab. 

spring status
spring stop

und voila! Es hat alles wieder funktioniert.

4
Hugo Logmans

Wenn Sie bundle install ausführen und dann versuchen, etwas auszuführen, sehen Sie "... github.com ... ist noch nicht ausgecheckt. Führen Sie zuerst bundle install aus." - bedeutet, dass Sie bundle exec vor Ihrem Befehl verwenden müssen, z :

bundle exec Rails s
1
Dan Key

Installieren Sie gem lokal im Projektverzeichnis, beheben Sie es für mich.

 $ bundle install --path vendor/bundle
1

Aktualisieren Sie Ihr Gemfile wie folgt:

gem 'activeadmin', github: 'activeadmin/active_admin', branch: '0-6-stable'

und dann,

bundle install

Wenn immer noch ein Fehler auftritt (weil Sie ' bundle install --deployment ' versucht haben, dann versuchen Sie es auszuführen)

bundle install --no-deployment
0
Breen ho

Mein Problem war, dass ich keinen Zugang zu Github hatte

versuchen Sie ssh -vT [email protected] und sehen Sie, ob Sie bekommen

[email protected]: Erlaubnis verweigert (publickey).

Dann siehe https://help.github.com/articles/error-permission-denied-publickey/

0
montrealmike

Diese Lösung

$ bundle install --path vendor/bundle

hat mein Problem mit dem Ausführen mehrerer Rails-Apps über einen Vorarbeiter behoben.

Hinweis: Vergessen Sie nicht, rbenv rehash danach auszuführen, wenn Sie rbenv..__ verwenden.
Und füge /vendor/bundle in deinem .gitignore hinzu, falls noch nicht hinzugefügt.

0

Es ist ein Erlaubnisfehler. Folgendes hat funktioniert

Umgebung : RVM mit Apache

RVM-Benutzer: Gruppe : rvm: rvm

Apache-Benutzer: Gruppe : Apache: Apache

Sie müssen einen Apache-Benutzer zur RVM-Gruppe hinzufügen

usermod -a -G rvm Apache
0
anbiniyar

Was mir endlich einmal und für immer geholfen hat:

  1. Alles neu installieren, wie Galen vorgeschlagen hat (alle Schritte von https://github.com/carlhuda/bundler/blob/master/ISSUES.md )

  2. Verwenden von bundle anstelle von rvmsudo bundle

0
Greg Funtusov